class MapPlaceEntity {
  String id;
  String title;
  String address;
  String category;
  int type;
  MapLocation location;
  int adcode;
  String province;
  String city;
  String district;

  MapPlaceEntity({
    this.id,
    this.title,
    this.address,
    this.category,
    this.type,
    this.location,
    this.adcode,
    this.province,
    this.city,
    this.district
  });

  static MapPlaceEntity fromJson(Map<String, dynamic> json) {
    return MapPlaceEntity(
      id: json['id']?.toString(),
      title: json['title']?.toString(),
      address: json['address']?.toString(),
      category: json['category']?.toString(),
      type: json['type'] as int,
      location:MapLocation.fromJson(json['location']),
      adcode: json['adcode'] as int,
      province: json['province']?.toString(),
      city: json['city']?.toString(),
      district: json['district']?.toString(),
    );
  }
}

class MapLocation {
  double lat;
  double lng;
  MapLocation({
    this.lat,
    this.lng
  });
  static MapLocation fromJson(Map<String, dynamic> json) {
    return MapLocation(
      lat:json['lat'] as double,
      lng:json['lng'] as double,
    );
  }
}