class ProductDetailsEntity {
  String id;
  String itemId;
  String itemTitle;
  String platform;
  List<String> itemPics;
  String price;
  String itemStatus;
  String endPrice;
  String special;
  String description;
  String collegeTimes;
  String likeTimes;
  String releaseTime;
  String buttonText;
  List<CouponInfo> couponInfos;
  String userCommission;
  String isCollect;
  String isLike;
  String checkText;
  String shareUrl;
  String shareMessage;
  String couponText;
  String isOverdue;
  String shopTitle;
  String rebate;
  List<dynamic> collectOrders;
  Map<String,dynamic> newItemInfo;

  ProductDetailsEntity({
    this.id,
    this.itemId,
    this.itemTitle,
    this.platform,
    this.itemPics,
    this.price,
    this.itemStatus,
    this.endPrice,
    this.special,
    this.description,
    this.collegeTimes,
    this.likeTimes,
    this.releaseTime,
    this.buttonText,
    this.couponInfos,
    this.userCommission,
    this.isCollect,
    this.isLike,
    this.checkText,
    this.shareUrl,
    this.shareMessage,
    this.couponText,
    this.isOverdue,
    this.shopTitle,
    this.rebate,
    this.collectOrders,
    this.newItemInfo
  });
  
  static ProductDetailsEntity fromJson(Map<String, dynamic> json) {
    List<dynamic> couponInfos = List<dynamic>.from(json['coupon_info']);
    return ProductDetailsEntity(
      id: json['id']?.toString(),
      itemId: json['item_id']?.toString(),
      itemTitle: json['item_title']?.toString(),
      platform: json['platform']?.toString(),
      itemPics:List<String>.from(json['item_pic']),
      price: json['price']?.toString(),
      itemStatus: json['item_status']?.toString(),
      endPrice: json['end_price']?.toString(),
      special: json['special']?.toString(),
      description: json['description']?.toString(),
      collegeTimes: json['college_times']?.toString(),
      likeTimes: json['like_times']?.toString(),
      releaseTime:json['release_time']?.toString(),
      buttonText:json['button_text']?.toString(),
      couponInfos:List<CouponInfo>.generate(couponInfos.length, (index) => CouponInfo.fromJson(couponInfos[index])),
      userCommission:json['user_commission']?.toString(),
      isCollect:json['is_collect']?.toString(),
      isLike:json['is_like']?.toString(),
      checkText:json['check_text']?.toString(),
      shareUrl:json['share_url']?.toString(),
      couponText:json['coupon_text']?.toString(),
      shareMessage:json['share_message']?.toString(),
      isOverdue:json['is_overdue']?.toString(),
      shopTitle:json['shop_title']?.toString(),
      rebate:json['rebate']?.toString(),
      collectOrders:(json['collect_orders'] is List)?List.from(json['collect_orders']):[],
      newItemInfo:(json['new_item_info'] is Map)?Map<String,dynamic>.from(json['new_item_info']):null,
    );
  }
}


class CouponInfo {
  String url;
  String couponName;
  String status;
  CouponInfo({this.url,this.couponName,this.status});

  static CouponInfo fromJson(Map<String, dynamic> json) {
    return CouponInfo(
      url:json['url']?.toString(),
      couponName:json['coupon_name']?.toString(),
      status:json['status']?.toString(),
    );
  }
}

