
class ProductItemEntity {
  String id;
  String platform;
  String itemTitle;
  String itemPic;
  String special;
  String releaseTime;
  String endPrice;
  String descriptionText;
  List<dynamic> tags;
  String rebate;

  ProductItemEntity({this.id,this.platform,this.itemTitle,this.itemPic,this.special,this.releaseTime,this.rebate,this.tags,this.descriptionText,this.endPrice});

  static ProductItemEntity fromJson(Map<String, dynamic> json) {
    return ProductItemEntity(
      id: json['id']?.toString(),
      platform: json['platform']?.toString(),
      itemTitle: json['item_title']?.toString(),
      itemPic: json['item_pic']?.toString(),
      special: json['special']?.toString(),
      releaseTime: json['release_time']?.toString(),
      endPrice: json['end_price']?.toString(),
      descriptionText: json['description_text']?.toString(),
      tags: (json['tags'] is List)?List.from(json['tags']):[],
      rebate: json['rebate']?.toString(),
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'id':this.id,
      'platform':this.platform,
      'item_title':this.itemTitle,
      'item_pic':this.itemPic,
      'special':this.special,
      'release_time':this.releaseTime,
      'end_price':this.endPrice,
      'description_text':this.descriptionText,
      'tags':this.tags,
      'rebate':this.rebate,
    };
  }
}