
class SuningItemEntity {
  String itemId;
  String sellerId;
  String itemPic;
  String itemTitle;
  String discountType;
  String discountAmount;
  String shopTitle;
  String userCommission;
  String price;
  String endPrice;
  String volumeText;
  String platform;
  String priceText;
  String discountText;
  String userCommissionText;


  SuningItemEntity({
    this.itemId,
    this.sellerId,
    this.itemPic,
    this.itemTitle,
    this.discountType,
    this.discountAmount,
    this.shopTitle,
    this.userCommission,
    this.price,
    this.endPrice,
    this.volumeText,
    this.platform,
    this.priceText,
    this.discountText,
    this.userCommissionText,
  });

  static SuningItemEntity fromJson(Map<String, dynamic> json) {
    return SuningItemEntity(
      itemId: json['item_id']?.toString(),
      sellerId: json['seller_id']?.toString(),
      itemPic: json['item_pic']?.toString(),
      itemTitle: json['item_title']?.toString(),
      discountType: json['discount_type']?.toString(),
      discountAmount: json['discount_amount']?.toString(),
      shopTitle: json['shop_title']?.toString(),
      userCommission: json['user_commission']?.toString(),
      price: json['price']?.toString(),
      endPrice: json['end_price']?.toString(),
      volumeText: json['volume_text']?.toString(),
      platform: json['platform']?.toString(),
      priceText: json['price_text']?.toString(),
      discountText: json['discount_text']?.toString(),
      userCommissionText: json['user_commission_text']?.toString(),
    );
  }
  
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['item_id'] = this.itemId;
    data['seller_id'] = this.sellerId;
    data['item_pic'] = this.itemPic;
    data['item_title'] = this.itemTitle;
    data['discount_type'] = this.discountType;
    data['discount_amount'] = this.discountAmount;
    data['shop_title'] = this.shopTitle;
    data['user_commission'] = this.userCommission;
    data['price'] = this.price;
    data['end_price'] = this.endPrice;
    data['volume_text'] = this.volumeText;
    data['platform'] = this.platform;
    data['price_text'] = this.priceText;
    data['discount_text'] = this.discountText;
    data['user_commission_text'] = this.userCommissionText;
    return data;
  }
}