import 'package:base_repository/base_repository.dart';
import 'package:flutter/material.dart';

import '../product_repository.dart';

class ProductRepositoryImpl extends ProductRepository {
  ProductRepositoryImpl.get();
  static final ProductRepositoryImpl _instance = ProductRepositoryImpl.get();
  factory ProductRepositoryImpl() {
    return _instance;
  }

  @override
  Future<DSResponseList> getNines({
    int page = 1,
    int pagesize = 10,
    @required int type,
  }) async {
    dynamic result =
        await DSDioUtil.getInstance().get('/item.getNine', queryParameters: {
      'page': page,
      'type': type,
      'pagesize': pagesize,
    });
    return DSResponseList.fromJson(
      result,
      (item) => Map<String, dynamic>.from(item),
    );
  }

  @override
  Future<DSResponseObject> qryGoFreeBuy({String id, int needUrl}) async {
    dynamic result = await DSDioUtil.getInstance()
        .post('/itemFree.goBuy', data: {'id': id, 'need_url': needUrl});
    return DSResponseObject.fromJson(
      result,
      (data) => Map<String, dynamic>.from(data),
    );
  }

  @override
  Future<DSResponseObject> qryFreeShareInfo() async {
    dynamic result =
        await DSDioUtil.getInstance().get('/itemFree.getShareInfo');
    return DSResponseObject.fromJson(
      result,
      (data) => Map<String, dynamic>.from(data),
    );
  }
  
  @override
  Future<DSResponseObject> qryFreeProductResult({@required String id}) async{
    dynamic result = await DSDioUtil.getInstance().get('/itemFree.getItemResult',queryParameters:{'id':id});
    return DSResponseObject.fromJson(result,(data) => Map<String, dynamic>.from(data));
  }
}
