import 'package:dio/dio.dart';
import 'package:base_repository/base_repository.dart';
import 'package:xiaoxiong_repository/entity/suning_item_entity.dart';

import '../suning_repository.dart';

class SuningRepositoryImpl extends SuningRepository {
  SuningRepositoryImpl.get();
  static final SuningRepositoryImpl _instance = SuningRepositoryImpl.get();
  factory SuningRepositoryImpl() {
    return _instance;
  }

  ///
  /// 苏宁商品【商品主页】
  /// [eliteId]         1、苏宁主页 2、实时热销 3、当日热购 4、高佣爆款 6、9.9专区
  /// [page]            当前页
  /// [pagesize]        每页显示大小
  ///
  @override
  Future<DSResponseList<SuningItemEntity>> getSuningList(
      {String eliteId = '1', int page = 1, int pagesize = 10}) async {
    dynamic result = await DSDioUtil.getInstance()
        .get('suningItem.getSuningItemList', queryParameters: {
      'elite_id': eliteId,
      'page': page,
      'pagesize': pagesize
    });
    return DSResponseList.fromJson(result, SuningItemEntity.fromJson);
  }

  ///
  /// 苏宁活动转链
  /// [itemUrl]         待转链的苏宁商品链接
  ///
  @override
  Future<dynamic> suningActTurnChainLink({String itemUrl}) async {
    Options options = Options(headers: {'interceptor': 'interceptor1'});
    dynamic result = await DSDioUtil.getInstance().post(
        'turnchain.suningActLink',
        data: {'item_url': itemUrl},
        options: options);
    return result;
  }
}
