import 'package:base_repository/base_repository.dart';
import 'package:xiaoxiong_repository/entity/map_place_entity.dart';
import '../tencent_repository.dart';

class TencentRepositoryImpl extends TencentRepository {
  @override
  Future<DSResponseList<MapPlaceEntity>> qryPlaceByCity(
      String key, String keyword,
      {String region, int regionFix = 1, String output = 'json'}) async {
    Options options = Options(headers: {'base_url': 'TencentMap'});
    dynamic result =
        await DSDioUtil.getInstance().get('/ws/place/v1/suggestion',
            queryParameters: {
              'key': key,
              'keyword': keyword,
              'region_fix': regionFix,
              'region': region,
              'output': output
            },
            options: options);
    Map<String, dynamic> value = Map<String, dynamic>.from(result);
    value['code'] = value['status'];
    value['msg'] = value['message'];
    value.remove('status');
    value.remove('message');
    print(value);
    DSResponseList<MapPlaceEntity> responseList =
        DSResponseList<MapPlaceEntity>.fromJson(value, MapPlaceEntity.fromJson);
    return responseList;
  }
}
