import 'package:base_repository/base_repository.dart';
import 'package:flutter/foundation.dart';
import 'package:xiaoxiong_repository/entity/suning_item_entity.dart';
import 'impl/suning_repository_impl.dart';

///
/// SuningRepository
/// 苏宁相关的网络库
///
abstract class SuningRepository {
  static get() {
    return SuningRepositoryImpl();
  }

  ///
  /// 苏宁商品【商品主页】
  /// [eliteId]         1、苏宁主页 2、实时热销 3、当日热购 4、高佣爆款 6、9.9专区
  /// [page]            当前页
  /// [pagesize]        每页显示大小
  ///
  Future<DSResponseList<SuningItemEntity>> getSuningList(
      {String eliteId = '1', int page = 1, int pagesize = 10});

  ///
  /// 苏宁活动转链
  /// [itemUrl]         待转链的苏宁商品链接
  ///
  Future<dynamic> suningActTurnChainLink({@required String itemUrl});
}
