import 'package:base_repository/base_repository.dart';
import 'package:flutter/material.dart';
import 'package:xiaoxiong_repository/entity/map_place_entity.dart';
import 'impl/tencent_repository_impl.dart';

///
/// TencentRepository
/// 腾讯相关的网络库
///
abstract class TencentRepository {
  static get() {
    return TencentRepositoryImpl();
  }

  ///
  /// 腾讯地图，关键词输入提示
  /// [key]                       开发密钥（Key） \r\n
  /// [keyword]                   关键词  \r\n
  /// [region]                    限制城市范围：缺省时侧进行全国范围搜索；  \r\n
  /// [regionFix]                 0：[默认]当前城市无结果时，自动扩大范围到全国匹配,1：固定在当前城市 \r\n
  /// [output]                    返回格式：支持JSON/JSONP，默认JSON  \r\n
  ///
  Future<DSResponseList<MapPlaceEntity>> qryPlaceByCity(
      String key, String keyword,
      {@required String region, int regionFix = 1, String output = 'json'});
}
